import { PropType } from "vue";
import { Tab as ITab } from "../hooks/use-operations";
import Tab from "./Tab.vue";
declare const _default: import("vue").DefineComponent<{
    appearance: {
        default: string;
        type: StringConstructor;
        validator: (val: string) => boolean;
    };
    group: {
        required: true;
        type: StringConstructor;
    };
    position: {
        default: string;
        type: StringConstructor;
        validator: (val: string) => boolean;
    };
    rounded: {
        default: boolean;
        type: BooleanConstructor;
    };
    tabs: {
        required: true;
        type: PropType<ITab[]>;
    };
}, {
    actions: import("vue").ComputedRef<{
        disabled: boolean;
        id: string;
        text: string;
    }[]>;
    contextMenu: any;
    createTabRef: (el: InstanceType<typeof Tab>, index: number) => void;
    dragOver: (e: DragEvent) => void;
    dragStart: (e: DragEvent) => void;
    drop: (e: DragEvent) => void;
    navClass: import("vue").ComputedRef<{
        "vp-pills": boolean;
        "vp-tabs": boolean;
        "vp-tabs-bottom": boolean;
    }>;
    onMenuClick: (actionId: string) => void;
    scrollbarClass: import("vue").ComputedRef<{
        "before:vp-bottom-px": boolean;
        "before:vp-content-[''] before:vp-block before:vp-absolute before:vp-left-0 before:vp-w-full before:vp-h-px before:vp-bg-gray-300": boolean;
        "before:vp-top-px": boolean;
    }>;
    showContextMenu: (e: MouseEvent, tabId: string) => void;
    tabRefs: any[];
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    appearance: {
        default: string;
        type: StringConstructor;
        validator: (val: string) => boolean;
    };
    group: {
        required: true;
        type: StringConstructor;
    };
    position: {
        default: string;
        type: StringConstructor;
        validator: (val: string) => boolean;
    };
    rounded: {
        default: boolean;
        type: BooleanConstructor;
    };
    tabs: {
        required: true;
        type: PropType<ITab[]>;
    };
}>>, {
    appearance: string;
    position: string;
    rounded: boolean;
}>;
export default _default;
